cURL
curl --request POST \
--url https://external.vin.gs/api/mcp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"method": "tools/list"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', method: 'tools/list'})
};
fetch('https://external.vin.gs/api/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://external.vin.gs/api/mcp"
payload = {
"jsonrpc": "2.0",
"method": "tools/list"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.vin.gs/api/mcp"
payload := strings.NewReader("{\n \"jsonrpc\": \"2.0\",\n \"method\": \"tools/list\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jsonrpc": "2.0",
"id": "<string>",
"result": null,
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}MCP
Post mcp
JSON-RPC 2.0 transport for the Vings readonly MCP server.
Supported methods:
initializenotifications/initialized(returns HTTP 202 with no body)tools/listtools/call
Per-tool input and output JSON Schemas are returned by tools/list (inputSchema, outputSchema) and are not duplicated in this OpenAPI document.
POST
/
mcp
cURL
curl --request POST \
--url https://external.vin.gs/api/mcp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"method": "tools/list"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', method: 'tools/list'})
};
fetch('https://external.vin.gs/api/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://external.vin.gs/api/mcp"
payload = {
"jsonrpc": "2.0",
"method": "tools/list"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.vin.gs/api/mcp"
payload := strings.NewReader("{\n \"jsonrpc\": \"2.0\",\n \"method\": \"tools/list\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jsonrpc": "2.0",
"id": "<string>",
"result": null,
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}Authorizations
Vings OAuth access token or personal access token (vng_pat_…). Use Authorization: Bearer ….
Body
application/json